
StopBuyStuffRefreshEvent = {};
StopBuyStuffRefreshEvent_mt = Class(StopBuyStuffRefreshEvent, Event);
InitEventClass(StopBuyStuffRefreshEvent, "StopBuyStuffRefreshEvent");

function StopBuyStuffRefreshEvent:emptyNew()
	local self = Event:new(StopBuyStuffRefreshEvent_mt);
	return self;
end;

function StopBuyStuffRefreshEvent:new(vehicle)

	local self = StopBuyStuffRefreshEvent:emptyNew();
	self.vehicle = vehicle;
  
	return self;
end;

function StopBuyStuffRefreshEvent:readStream(streamId, connection)

	local id = streamReadInt32(streamId)
	self.vehicle = networkGetObject(id);
 
	self:run(connection);
end;

function StopBuyStuffRefreshEvent:writeStream(streamId, connection)

	local id = networkGetObjectId(self.vehicle)
	streamWriteInt32(streamId, id);
	--streamWriteString(streamId, self.StopBuyStuff_BuyMode);
end;

function StopBuyStuffRefreshEvent:run(connection)

	if not connection:getIsServer() then
		g_client:getServerConnection():sendEvent(StopBuyStuffEvent:new(self.vehicle, self.vehicle.StopBuyStuff_BuyMode))
	end;
end;